<h1>Установка движка Docker</h1>

<p>Удалить старые версии Docker</p>
<pre class="cli">
sudo apt-get remove docker docker-engine docker.io containerd runc
</pre>
    
    <p>Обновить список пакетов</p>
<pre class="cli">
sudo apt-get update
</pre>
    
    <p>Установить пакеты для подключения к репозиторию Docker</p>
<pre class="cli">
sudo apt-get install \
  ca-certificates \
  curl \
  gnupg
</pre>
    
    <p>Добавить ключ GPG для репозитория Docker</p>
<pre class="cli">
sudo mkdir -m 0755 -p /etc/apt/keyrings
curl -fsSL https://download.docker.com/linux/debian/gpg | sudo gpg --dearmor -o /etc/apt/keyrings/docker.gpg
</pre>
    
    <p>Добавить конфигурацию для репозитория Docker</p>
<pre class="cli">
echo \
  "deb [arch="$(dpkg --print-architecture)" signed-by=/etc/apt/keyrings/docker.gpg] https://download.docker.com/linux/debian \
  "$(. /etc/os-release && echo "$VERSION_CODENAME")" stable" | \
  sudo tee /etc/apt/sources.list.d/docker.list > /dev/null
</pre>
    
    <p>Снова обновить списки пакетов</p>
<pre class="cli">
sudo apt-get update
</pre>
    
    <p>Установить последнюю версию Docker и все необходимые пакеты</p>
<pre class="cli">
sudo apt-get install \
  docker-ce \
  docker-ce-cli \
  containerd.io \
  docker-buildx-plugin \
  docker-compose-plugin
</pre>
    
    <p>Проверить рабботу Docker</p>
<pre class="cli">
sudo docker run hello-world
</pre>
    <p>Предыдущая команда скачает тестовый образ и запустит его в контейнере. Когда контейнер запустится,
    он выведет сообщение о своей работе и выключится.</p>
    
    <h2>Источники</h2>
    <a href="https://docs.docker.com/engine/install/debian/">Установка Docker в Debian/Ubuntu</a>
    